Index: BasicUsageEnvironment/include/BasicUsageEnvironment.hh
===================================================================
--- BasicUsageEnvironment/include/BasicUsageEnvironment.hh	(revision 14473)
+++ BasicUsageEnvironment/include/BasicUsageEnvironment.hh	(revision 14474)
@@ -20,11 +20,18 @@
 #ifndef _BASIC_USAGE_ENVIRONMENT_HH
 #define _BASIC_USAGE_ENVIRONMENT_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
+
 #ifndef _BASIC_USAGE_ENVIRONMENT0_HH
 #include "BasicUsageEnvironment0.hh"
 #endif
 
-class BasicUsageEnvironment: public BasicUsageEnvironment0 {
+class LIVEMEDIALIB_API BasicUsageEnvironment: public BasicUsageEnvironment0 {
 public:
   static BasicUsageEnvironment* createNew(TaskScheduler& taskScheduler);
 
@@ -44,7 +51,7 @@
 };
 
 
-class BasicTaskScheduler: public BasicTaskScheduler0 {
+class LIVEMEDIALIB_API BasicTaskScheduler: public BasicTaskScheduler0 {
 public:
   static BasicTaskScheduler* createNew(unsigned maxSchedulerGranularity = 10000/*microseconds*/);
     // "maxSchedulerGranularity" (default value: 10 ms) specifies the maximum time that we wait (in "select()") before
Index: BasicUsageEnvironment/include/BasicUsageEnvironment0.hh
===================================================================
--- BasicUsageEnvironment/include/BasicUsageEnvironment0.hh	(revision 14473)
+++ BasicUsageEnvironment/include/BasicUsageEnvironment0.hh	(revision 14474)
@@ -20,6 +20,12 @@
 #ifndef _BASIC_USAGE_ENVIRONMENT0_HH
 #define _BASIC_USAGE_ENVIRONMENT0_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _BASICUSAGEENVIRONMENT_VERSION_HH
 #include "BasicUsageEnvironment_version.hh"
 #endif
@@ -36,7 +42,7 @@
 
 // An abstract base class, useful for subclassing
 // (e.g., to redefine the implementation of "operator<<")
-class BasicUsageEnvironment0: public UsageEnvironment {
+class LIVEMEDIALIB_API BasicUsageEnvironment0: public UsageEnvironment {
 public:
   // redefined virtual functions:
   virtual MsgString getResultMsg() const;
@@ -71,7 +77,7 @@
 
 // An abstract base class, useful for subclassing
 // (e.g., to redefine the implementation of socket event handling)
-class BasicTaskScheduler0: public TaskScheduler {
+class LIVEMEDIALIB_API BasicTaskScheduler0: public TaskScheduler {
 public:
   virtual ~BasicTaskScheduler0();
 
Index: BasicUsageEnvironment/include/DelayQueue.hh
===================================================================
--- BasicUsageEnvironment/include/DelayQueue.hh	(revision 14473)
+++ BasicUsageEnvironment/include/DelayQueue.hh	(revision 14474)
@@ -20,6 +20,12 @@
 #ifndef _DELAY_QUEUE_HH
 #define _DELAY_QUEUE_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _NET_COMMON_H
 #include "NetCommon.h"
 #endif
@@ -32,7 +38,7 @@
 
 ///// A "Timeval" can be either an absolute time, or a time interval /////
 
-class Timeval {
+class LIVEMEDIALIB_API Timeval {
 public:
   time_base_seconds seconds() const {
     return fTv.tv_sec;
@@ -95,29 +101,29 @@
 }
 #endif
 
-class DelayInterval operator-(Timeval const& arg1, Timeval const& arg2);
+class LIVEMEDIALIB_API DelayInterval operator-(Timeval const& arg1, Timeval const& arg2);
 // returns ZERO iff arg2 >= arg1
 
 
 ///// DelayInterval /////
 
-class DelayInterval: public Timeval {
+class LIVEMEDIALIB_API DelayInterval: public Timeval {
 public:
   DelayInterval(time_base_seconds seconds, time_base_seconds useconds)
     : Timeval(seconds, useconds) {}
 };
 
-DelayInterval operator*(short arg1, DelayInterval const& arg2);
+LIVEMEDIALIB_API DelayInterval operator*(short arg1, DelayInterval const& arg2);
 
-extern DelayInterval const DELAY_ZERO;
-extern DelayInterval const DELAY_SECOND;
-extern DelayInterval const DELAY_MINUTE;
-extern DelayInterval const DELAY_HOUR;
-extern DelayInterval const DELAY_DAY;
+extern LIVEMEDIALIB_API DelayInterval const DELAY_ZERO;
+extern LIVEMEDIALIB_API DelayInterval const DELAY_SECOND;
+extern LIVEMEDIALIB_API DelayInterval const DELAY_MINUTE;
+extern LIVEMEDIALIB_API DelayInterval const DELAY_HOUR;
+extern LIVEMEDIALIB_API DelayInterval const DELAY_DAY;
 
 ///// _EventTime /////
 
-class _EventTime: public Timeval {
+class LIVEMEDIALIB_API _EventTime: public Timeval {
 public:
   _EventTime(unsigned secondsSinceEpoch = 0,
 	    unsigned usecondsSinceEpoch = 0)
@@ -132,7 +138,7 @@
 
 ///// DelayQueueEntry /////
 
-class DelayQueueEntry {
+class LIVEMEDIALIB_API DelayQueueEntry {
 public:
   virtual ~DelayQueueEntry();
 
@@ -157,7 +163,7 @@
 
 ///// DelayQueue /////
 
-class DelayQueue: public DelayQueueEntry {
+class LIVEMEDIALIB_API DelayQueue: public DelayQueueEntry {
 public:
   DelayQueue();
   virtual ~DelayQueue();
Index: UsageEnvironment/include/UsageEnvironment.hh
===================================================================
--- UsageEnvironment/include/UsageEnvironment.hh	(revision 14473)
+++ UsageEnvironment/include/UsageEnvironment.hh	(revision 14474)
@@ -19,6 +19,12 @@
 
 #ifndef _USAGE_ENVIRONMENT_HH
 #define _USAGE_ENVIRONMENT_HH
+
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
 
 #ifndef _USAGEENVIRONMENT_VERSION_HH
 #include "UsageEnvironment_version.hh"
@@ -50,7 +56,7 @@
 
 // An abstract base class, subclassed for each use of the library
 
-class UsageEnvironment {
+class LIVEMEDIALIB_API UsageEnvironment {
 public:
   Boolean reclaim();
       // returns True iff we were actually able to delete our object
@@ -103,7 +109,7 @@
 typedef void* TaskToken;
 typedef u_int32_t EventTriggerId;
 
-class TaskScheduler {
+class LIVEMEDIALIB_API TaskScheduler {
 public:
   virtual ~TaskScheduler();
 
Index: UsageEnvironment/include/strDup.hh
===================================================================
--- UsageEnvironment/include/strDup.hh	(revision 14473)
+++ UsageEnvironment/include/strDup.hh	(revision 14474)
@@ -17,6 +17,12 @@
 #ifndef _STRDUP_HH
 #define _STRDUP_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 // Copyright (c) 1996-2016 Live Networks, Inc.  All rights reserved.
 // A C++ equivalent to the standard C routine "strdup()".
 // This generates a char* that can be deleted using "delete[]"
@@ -24,14 +30,14 @@
 
 #include <string.h>
 
-char* strDup(char const* str);
+LIVEMEDIALIB_API char* strDup(char const* str);
 // Note: strDup(NULL) returns NULL
 
-char* strDupSize(char const* str);
+LIVEMEDIALIB_API char* strDupSize(char const* str);
 // Like "strDup()", except that it *doesn't* copy the original.
 // (Instead, it just allocates a string of the same size as the original.)
 
-char* strDupSize(char const* str, size_t& resultBufSize);
+LIVEMEDIALIB_API char* strDupSize(char const* str, size_t& resultBufSize);
 // An alternative form of "strDupSize()" that also returns the size of the allocated buffer.
 
 #endif
Index: groupsock/include/GroupsockHelper.hh
===================================================================
--- groupsock/include/GroupsockHelper.hh	(revision 14473)
+++ groupsock/include/GroupsockHelper.hh	(revision 14474)
@@ -21,6 +21,12 @@
 #ifndef _GROUPSOCK_HELPER_HH
 #define _GROUPSOCK_HELPER_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _NET_ADDRESS_HH
 #include "NetAddress.hh"
 #endif
@@ -45,11 +51,11 @@
 
 void ignoreSigPipeOnSocket(int socketNum);
 
-unsigned getSendBufferSize(UsageEnvironment& env, int socket);
-unsigned getReceiveBufferSize(UsageEnvironment& env, int socket);
-unsigned setSendBufferTo(UsageEnvironment& env,
+LIVEMEDIALIB_API unsigned getSendBufferSize(UsageEnvironment& env, int socket);
+LIVEMEDIALIB_API unsigned getReceiveBufferSize(UsageEnvironment& env, int socket);
+LIVEMEDIALIB_API unsigned setSendBufferTo(UsageEnvironment& env,
 			 int socket, unsigned requestedSize);
-unsigned setReceiveBufferTo(UsageEnvironment& env,
+LIVEMEDIALIB_API unsigned setReceiveBufferTo(UsageEnvironment& env,
 			    int socket, unsigned requestedSize);
 unsigned increaseSendBufferTo(UsageEnvironment& env,
 			      int socket, unsigned requestedSize);
@@ -132,7 +138,7 @@
 
 #if (defined(__WIN32__) || defined(_WIN32)) && !defined(__MINGW32__)
 // For Windoze, we need to implement our own gettimeofday()
-extern int gettimeofday(struct timeval*, int*);
+LIVEMEDIALIB_API extern int gettimeofday(struct timeval*, int*);
 #else
 #include <sys/time.h>
 #endif
Index: groupsock/include/NetAddress.hh
===================================================================
--- groupsock/include/NetAddress.hh	(revision 14473)
+++ groupsock/include/NetAddress.hh	(revision 14474)
@@ -20,6 +20,12 @@
 
 #ifndef _NET_ADDRESS_HH
 #define _NET_ADDRESS_HH
+
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
 
 #ifndef _HASH_TABLE_HH
 #include "HashTable.hh"
@@ -38,7 +44,7 @@
 // to allow for IPv6.
 typedef u_int32_t netAddressBits;
 
-class NetAddress {
+class LIVEMEDIALIB_API NetAddress {
 public:
   NetAddress(u_int8_t const* data,
 	     unsigned length = 4 /* default: 32 bits */);
@@ -59,7 +65,7 @@
   u_int8_t* fData;
 };
 
-class NetAddressList {
+class LIVEMEDIALIB_API NetAddressList {
 public:
   NetAddressList(char const* hostname);
   NetAddressList(NetAddressList const& orig);
@@ -91,7 +97,7 @@
 
 typedef u_int16_t portNumBits;
 
-class Port {
+class LIVEMEDIALIB_API Port {
 public:
   Port(portNumBits num /* in host byte order */);
   
@@ -104,11 +110,11 @@
 #endif
 };
 
-UsageEnvironment& operator<<(UsageEnvironment& s, const Port& p);
+LIVEMEDIALIB_API UsageEnvironment& operator<<(UsageEnvironment& s, const Port& p);
 
 
 // A generic table for looking up objects by (address1, address2, port)
-class AddressPortLookupTable {
+class LIVEMEDIALIB_API AddressPortLookupTable {
 public:
   AddressPortLookupTable();
   virtual ~AddressPortLookupTable();
@@ -138,7 +144,7 @@
 };
 
 
-Boolean IsMulticastAddress(netAddressBits address);
+LIVEMEDIALIB_API Boolean IsMulticastAddress(netAddressBits address);
 
 
 // A mechanism for displaying an IPv4 address in ASCII.  This is intended to replace "inet_ntoa()", which is not thread-safe.
Index: liveMedia/include/AMRAudioFileSink.hh
===================================================================
--- liveMedia/include/AMRAudioFileSink.hh	(revision 14473)
+++ liveMedia/include/AMRAudioFileSink.hh	(revision 14474)
@@ -21,11 +21,17 @@
 #ifndef _AMR_AUDIO_FILE_SINK_HH
 #define _AMR_AUDIO_FILE_SINK_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _FILE_SINK_HH
 #include "FileSink.hh"
 #endif
 
-class AMRAudioFileSink: public FileSink {
+class LIVEMEDIALIB_API AMRAudioFileSink: public FileSink {
 public:
   static AMRAudioFileSink* createNew(UsageEnvironment& env, char const* fileName,
 				     unsigned bufferSize = 10000,
Index: liveMedia/include/AudioInputDevice.hh
===================================================================
--- liveMedia/include/AudioInputDevice.hh	(revision 14473)
+++ liveMedia/include/AudioInputDevice.hh	(revision 14474)
@@ -20,11 +20,17 @@
 #ifndef _AUDIO_INPUT_DEVICE_HH
 #define _AUDIO_INPUT_DEVICE_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _FRAMED_SOURCE_HH
 #include "FramedSource.hh"
 #endif
 
-class AudioPortNames {
+class LIVEMEDIALIB_API AudioPortNames {
 public:
   AudioPortNames();
   virtual ~AudioPortNames();
@@ -33,7 +39,7 @@
   char** portName;
 };
 
-class AudioInputDevice: public FramedSource {
+class LIVEMEDIALIB_API AudioInputDevice: public FramedSource {
 public:
   unsigned char bitsPerSample() const { return fBitsPerSample; }
   unsigned char numChannels() const { return fNumChannels; }
Index: liveMedia/include/BasicUDPSource.hh
===================================================================
--- liveMedia/include/BasicUDPSource.hh	(revision 14473)
+++ liveMedia/include/BasicUDPSource.hh	(revision 14474)
@@ -21,6 +21,12 @@
 #ifndef _BASIC_UDP_SOURCE_HH
 #define _BASIC_UDP_SOURCE_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _FRAMED_SOURCE_HH
 #include "FramedSource.hh"
 #endif
@@ -28,7 +34,7 @@
 #include "Groupsock.hh"
 #endif
 
-class BasicUDPSource: public FramedSource {
+class LIVEMEDIALIB_API BasicUDPSource: public FramedSource {
 public:
   static BasicUDPSource* createNew(UsageEnvironment& env, Groupsock* inputGS);
 
@@ -36,10 +42,12 @@
 
   Groupsock* gs() const { return fInputGS; }
 
-private:
+protected:
+  // IHP: Moving to protected so we can subclass
   BasicUDPSource(UsageEnvironment& env, Groupsock* inputGS);
       // called only by createNew()
 
+private:
   static void incomingPacketHandler(BasicUDPSource* source, int mask);
   void incomingPacketHandler1();
 
Index: liveMedia/include/BitVector.hh
===================================================================
--- liveMedia/include/BitVector.hh	(revision 14473)
+++ liveMedia/include/BitVector.hh	(revision 14474)
@@ -21,11 +21,17 @@
 #ifndef _BIT_VECTOR_HH
 #define _BIT_VECTOR_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _BOOLEAN_HH
 #include "Boolean.hh"
 #endif
 
-class BitVector {
+class LIVEMEDIALIB_API BitVector {
 public:
   BitVector(unsigned char* baseBytePtr,
 	    unsigned baseBitOffset,
Index: liveMedia/include/ByteStreamFileSource.hh
===================================================================
--- liveMedia/include/ByteStreamFileSource.hh	(revision 14473)
+++ liveMedia/include/ByteStreamFileSource.hh	(revision 14474)
@@ -21,11 +21,17 @@
 #ifndef _BYTE_STREAM_FILE_SOURCE_HH
 #define _BYTE_STREAM_FILE_SOURCE_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _FRAMED_FILE_SOURCE_HH
 #include "FramedFileSource.hh"
 #endif
 
-class ByteStreamFileSource: public FramedFileSource {
+class LIVEMEDIALIB_API ByteStreamFileSource: public FramedFileSource {
 public:
   static ByteStreamFileSource* createNew(UsageEnvironment& env,
 					 char const* fileName,
Index: liveMedia/include/ByteStreamMultiFileSource.hh
===================================================================
--- liveMedia/include/ByteStreamMultiFileSource.hh	(revision 14473)
+++ liveMedia/include/ByteStreamMultiFileSource.hh	(revision 14474)
@@ -21,11 +21,17 @@
 #ifndef _BYTE_STREAM_MULTI_FILE_SOURCE_HH
 #define _BYTE_STREAM_MULTI_FILE_SOURCE_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _BYTE_STREAM_FILE_SOURCE_HH
 #include "ByteStreamFileSource.hh"
 #endif
 
-class ByteStreamMultiFileSource: public FramedSource {
+class LIVEMEDIALIB_API ByteStreamMultiFileSource: public FramedSource {
 public:
   static ByteStreamMultiFileSource*
   createNew(UsageEnvironment& env, char const** fileNameArray,
@@ -54,7 +60,9 @@
                                 struct timeval presentationTime,
 				unsigned durationInMicroseconds);
 
-private:
+/** IHP: Subclasses should be able to access these */
+//private:
+protected:
   unsigned fPreferredFrameSize;
   unsigned fPlayTimePerFrame;
   unsigned fNumSources;
Index: liveMedia/include/DigestAuthentication.hh
===================================================================
--- liveMedia/include/DigestAuthentication.hh	(revision 14473)
+++ liveMedia/include/DigestAuthentication.hh	(revision 14474)
@@ -20,6 +20,12 @@
 
 #ifndef _DIGEST_AUTHENTICATION_HH
 #define _DIGEST_AUTHENTICATION_HH
+
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
 
 #ifndef _BOOLEAN_HH
 #include <Boolean.hh>
@@ -29,7 +35,7 @@
 // The "realm", and "nonce" fields are supplied by the server
 // (in a "401 Unauthorized" response).
 // The "username" and "password" fields are supplied by the client.
-class Authenticator {
+class LIVEMEDIALIB_API Authenticator {
 public:
   Authenticator();
   Authenticator(char const* username, char const* password, Boolean passwordIsMD5 = False);
Index: liveMedia/include/FileServerMediaSubsession.hh
===================================================================
--- liveMedia/include/FileServerMediaSubsession.hh	(revision 14473)
+++ liveMedia/include/FileServerMediaSubsession.hh	(revision 14474)
@@ -22,6 +22,12 @@
 #ifndef _FILE_SERVER_MEDIA_SUBSESSION_HH
 #define _FILE_SERVER_MEDIA_SUBSESSION_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _SERVER_MEDIA_SESSION_HH
 #include "ServerMediaSession.hh"
 #endif
@@ -29,7 +35,7 @@
 #include "OnDemandServerMediaSubsession.hh"
 #endif
 
-class FileServerMediaSubsession: public OnDemandServerMediaSubsession {
+class LIVEMEDIALIB_API FileServerMediaSubsession: public OnDemandServerMediaSubsession {
 protected: // we're a virtual base class
   FileServerMediaSubsession(UsageEnvironment& env, char const* fileName,
 			    Boolean reuseFirstSource);
Index: liveMedia/include/FileSink.hh
===================================================================
--- liveMedia/include/FileSink.hh	(revision 14473)
+++ liveMedia/include/FileSink.hh	(revision 14474)
@@ -21,11 +21,17 @@
 #ifndef _FILE_SINK_HH
 #define _FILE_SINK_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _MEDIA_SINK_HH
 #include "MediaSink.hh"
 #endif
 
-class FileSink: public MediaSink {
+class LIVEMEDIALIB_API FileSink: public MediaSink {
 public:
   static FileSink* createNew(UsageEnvironment& env, char const* fileName,
 			     unsigned bufferSize = 20000,
Index: liveMedia/include/FramedFileSource.hh
===================================================================
--- liveMedia/include/FramedFileSource.hh	(revision 14473)
+++ liveMedia/include/FramedFileSource.hh	(revision 14474)
@@ -21,11 +21,17 @@
 #ifndef _FRAMED_FILE_SOURCE_HH
 #define _FRAMED_FILE_SOURCE_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _FRAMED_SOURCE_HH
 #include "FramedSource.hh"
 #endif
 
-class FramedFileSource: public FramedSource {
+class LIVEMEDIALIB_API FramedFileSource: public FramedSource {
 protected:
   FramedFileSource(UsageEnvironment& env, FILE* fid); // abstract base class
   virtual ~FramedFileSource();
Index: liveMedia/include/FramedFilter.hh
===================================================================
--- liveMedia/include/FramedFilter.hh	(revision 14473)
+++ liveMedia/include/FramedFilter.hh	(revision 14474)
@@ -21,11 +21,17 @@
 #ifndef _FRAMED_FILTER_HH
 #define _FRAMED_FILTER_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _FRAMED_SOURCE_HH
 #include "FramedSource.hh"
 #endif
 
-class FramedFilter: public FramedSource {
+class LIVEMEDIALIB_API FramedFilter: public FramedSource {
 public:
   FramedSource* inputSource() const { return fInputSource; }
 
Index: liveMedia/include/FramedSource.hh
===================================================================
--- liveMedia/include/FramedSource.hh	(revision 14473)
+++ liveMedia/include/FramedSource.hh	(revision 14474)
@@ -21,6 +21,12 @@
 #ifndef _FRAMED_SOURCE_HH
 #define _FRAMED_SOURCE_HH
 
+#ifdef LIVEMEDIALIB_EXPORTS
+#define LIVEMEDIALIB_API __declspec(dllexport)
+#else
+#define LIVEMEDIALIB_API __declspec(dllimport)
+#endif
+
 #ifndef _NET_COMMON_H
 #include "NetCommon.h"
 #endif
@@ -28,7 +34,7 @@
 #include "MediaSource.hh"
 #endif
 
-class FramedSource: public MediaSource {
+class LIVEMEDIALIB_API FramedSource: public MediaSource {
 public:
   static Boolean lookupByName(UsageEnvironment& env, char const* sourceName,
 			      FramedSource*& resultSource);
